//
//  ConnectivityLib.h
//  WeMo
//
//  Created by Jun Pataleta on 11/11/09.
//  Copyright (c) 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//
#import "WeMo.h"

@class Reachability;

@interface ConnectivityLib : WeMo {
    Reachability* internetReach;
    BOOL internetActive;
    NSString * internetSource;
    BOOL requestForSource;
    Reachability * hostReach;
}

@property(nonatomic, retain) Reachability* internetReach;
@property(nonatomic, retain) Reachability* hostReach;
@property(nonatomic, retain) NSString * internetSource;

-(void) checkNetworkStatus:(NSNotification *) notification;
-(void) getInternetSource:(NSString *) cbId;
-(void) hasInternet:(NSString *) cbId;
-(void) setConnectivityResults;
@end
