//
//  CameraLib.h
//  WeMo
//
//  Created by Jun Pataleta on 11/10/20.
//  Copyright 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AssetsLibrary/AssetsLibrary.h>
#import "WeMo.h"

@interface CameraLib : WeMo <UIImagePickerControllerDelegate,
UIPopoverControllerDelegate> {
    UIImagePickerController * camera; 
    UIPopoverController * popPicker; 
}

@property (nonatomic, retain) UIImagePickerController * camera;
@property (nonatomic, retain) UIPopoverController * popPicker;

-(void) captureImage:(NSString *) cbId params:(NSDictionary *) camParams;
-(void) imagePickerControllerDidCancel:(UIImagePickerController *) picker;
-(void) imagePickerController:(UIImagePickerController *) picker didFinishPickingMediaWithInfo:(NSDictionary *) info;
@end
