//
//  ContactsLib.h
//  WeMo
//
//  Created by Reynan Valencia on 10/17/11.
//  Copyright 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "WeMo.h"
#import <AddressBook/AddressBook.h>
#import <AddressBookUI/AddressBookUI.h>

@interface ContactsLib : WeMo <ABPeoplePickerNavigationControllerDelegate,
ABPersonViewControllerDelegate,
ABNewPersonViewControllerDelegate>{
    
}

-(void)showPeoplePickerController;
-(void)showNewPersonViewController;

-(void)getContacts: (NSString *) cbId;
-(void)getContactDetails:(NSString *)cbId params:(NSDictionary*)contactID;
-(void)addContact:(NSString *)cbId params: (NSDictionary*)contact;
-(void)deleteContact:(NSString *)cbId params: (NSDictionary*)contactID;

@end
