//
//  MediaPlayerLib.h
//  WeMo
//
//  Created by Albino Alindogan on 11/10/11.
//  Copyright (c) 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MediaPlayer/MediaPlayer.h>
#import <MediaPlayer/MPMediaPickerController.h>
#import "WeMo.h"

@interface MediaPlayerLib : WeMo <MPMediaPickerControllerDelegate>{

}

-(void) playMusic: (NSString *) cbId;
+(void) resumeMusic;
+(void) suspendMusic;
-(void) pauseMusic: (NSString *) cbId;
-(void) openMediaPicker;

@end
