//
//  TwitterLib.h
//  WeMo
//
//  Created by Jun Pataleta on 11/11/11.
//  Copyright (c) 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import <Twitter/Twitter.h>
#import <Accounts/Accounts.h>
#import "WeMo.h"

@interface TwitterLib : WeMo {

}

-(void) postTweet:(NSString *) cbId params:(NSDictionary *) tweetParams;
-(void) deleteTweet:(NSString*) cbId params:(NSDictionary *) twitterParams;
-(void) getTimeline:(NSString*) cbId params:(NSDictionary *) twitterParams;
-(void) getPublicTimeline;
-(void) getTimelineWithAuthentication: (NSString *) mode;
-(void) setTwitterResult:(NSString *) msg;
-(void) setTwitterError:(NSString *) errorMsg;

@end
